List block rules
curl --request POST \
--url https://api.tagada.io/api/public/v1/block-rules/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pagination": {
"page": 1,
"pageSize": 20
}
}
'import requests
url = "https://api.tagada.io/api/public/v1/block-rules/list"
payload = { "pagination": {
"page": 1,
"pageSize": 20
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({pagination: {page: 1, pageSize: 20}})
};
fetch('https://api.tagada.io/api/public/v1/block-rules/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "rule_123",
"name": "Block High Risk Countries",
"enabled": true,
"type": "country",
"value": [
"XX",
"YY"
],
"createdAt": "2024-03-20T10:30:00Z"
}
],
"total": 1,
"pageCount": 1
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}block-rules
List block rules
Get all block rules for the authenticated account with filtering and pagination
POST
/
api
/
public
/
v1
/
block-rules
/
list
List block rules
⌘I
